Page MenuHomePhabricator

Link (anchor) every task to the Wartungsbaustein in the article
Closed, ResolvedPublic

Description

As suggested by @Christine_Domgoergen_WMDE. It would be nice, if the link of every task would use the Wartungsbaustein or the unchecked link as an anchor. Like this the user is guided to the specific place where he or she is expected to edit and does not get lost in scrolling and searching for the unchecked link etc.

Event Timeline

sonkiki triaged this task as Medium priority.Aug 15 2018, 12:15 PM
sonkiki raised the priority of this task from Medium to Needs Triage.
sonkiki created this task.
sonkiki added a subscriber: RazShuty.

Thanks for this suggestion! I personally can not tell how complex this would be to implement. With Cirdan on vacation, could you, @RazShuty, help in giving us an idea whether this would be a small or large addition/ alteration to the existing code? (Not asking you to do it, just asking you to get an idea of how much work it would be, if you can estimate it. :))

sonkiki added a subscriber: Cirdan.EditedAug 29 2018, 1:53 PM

Update after meeting with Software Engineering Team at WMDE on August 15th:

Whether this task is doable depends on the backend stuff: ” Does the entry for the Wartungsbaustein knows the section of the article it is in?"
@RazShuty , at our meeting you mentioned that @JeroenDeDauw could know this and that you wanted to ask him when he's back from vacation. Jeroen, maybe you could help us out and answer this question, if you're back from vacation? :)

Your answer would tell us

  • whether this would be possible with the existing code
  • if it would be a small enough task for the first launch, or if we put it in the backlog for further updates in the future
sonkiki moved this task from Development to Backlog on the Mitmachen board.Aug 29 2018, 2:09 PM
Cirdan added a comment.EditedSep 5 2018, 6:23 PM

To give you some background: Mitmachen never looks at the article text at all. It queries a database table which records which template is used in which article. In that table, it looks for articles it knows to be within the category the user selected.

There is an easy solution which works for most articles: We can add HTML anchors to the Wartungsbausteine on dewiki so that we can jump to the Wartungsbaustein the same way we can jump to section headings (e.g. https://de.wikipedia.org/wiki/Wollschlaeger#Wappen goes to the "Wappen" section). As of right now, the "Lückenhaft" template already has an anchor (https://de.wikipedia.org/wiki/Biografie#Vorlage_Lueckenhaft), as does "Überarbeiten", but "Belege fehlen" does not. I will add the missing anchors. This solution will of course not work for articles where there is more than one Wartungsbaustein of a certain kind, but these cases are rare and Mitmachen does not signal a specific instance of a Wartungsbaustein anyway (actually, I'm not sure what happens if an article has two "Belege fehlen" templates, they might show up twice in Mitmachen).

The more difficult solution would be to search for the template location in the article text and then link to the section it is in, but this is quite tricky to get right and expensive (we need to retrieve and inspect at least the 10 articles we show at a given time). At least from my perspective, this would be beyond the scope of Mitmachen.

Cirdan claimed this task.Sep 5 2018, 6:24 PM
Cirdan added a project: User-Cirdan.
Cirdan moved this task from Backlog to Development on the Mitmachen board.
Cirdan triaged this task as Medium priority.Sep 24 2018, 7:14 AM

I added the anchors to Veraltet and Belege fehlen.

Cirdan closed this task as Resolved.Apr 21 2019, 7:21 AM

Works with all issues except unchecked dead link/archive links. Perhaps we need to change the cursor design again to indicate that we have links now.